mshr-demos-2016.2.0-1.10.i586.rpm


Advertisement

Description

mshr-demos - Demo programs for the mshr mesh generator in FEniCS

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package name mshr-demos
Package version 2016.2.0
Package release 1.10
Package architecture i586
Package type rpm
Installed size 11.89 KB
Download size 11.37 KB
Official Mirror widehat.opensuse.org
Examples and demo programs for mshr
mshr generates simplicial DOLFIN meshes in 2D and 3D from geometries
described by Constructive Solid Geometry (CSG) or from surface files,
utilizing CGAL and Tetgen as mesh generation backends.

Alternatives

Package Version Architecture Repository
mshr-demos-2016.2.0-1.10.x86_64.rpm 2016.2.0 x86_64 Science
mshr-demos - - -

Provides

Name Value
mshr-demos = 2016.2.0-1.10
mshr-demos(x86-32) = 2016.2.0-1.10

Download

Type URL
Binary Package mshr-demos-2016.2.0-1.10.i586.rpm
Source Package mshr-2016.2.0-1.10.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install mshr-demos rpm package:
    # zypper install mshr-demos

Files

Path
/usr/share/mshr/
/usr/share/mshr/demo/
/usr/share/mshr/demo/python/classic.py
/usr/share/mshr/demo/python/csg-subdomains-2D.py
/usr/share/mshr/demo/python/deathstar.py
/usr/share/mshr/demo/python/extrude.py
/usr/share/mshr/demo/python/icecream.py
/usr/share/mshr/demo/python/materials.py
/usr/share/mshr/demo/python/propeller.py
/usr/share/mshr/demo/python/remove_degenerate.py
/usr/share/mshr/demo/python/simple-csg-3D.py

Changelog

2017-03-08 - kkhere.geo@gmail.com
- update to upstream release 2016.2.0 [2016-11-30]
* Improvements and bugfixes
* Upgrade to CGAL 4.9 and use CGAL as header only library
release 2016.1.0 [2016-06-23]
* Major improvements, in particular boundary conditions
- added patch
* mshr-cmake-checking-fixes.patch (corrects linking errors)
- refreshed patch
* mshr-fix-cmake-install-path.patch
- removed patch
* cmake-3.3-string-replace.patch (no longer applicable)
2015-10-06 - kkhere.geo@gmail.com
- added patch to fix build with new cmake > 3.3
cmake-3.3-string-replace.patch
- added missing build dependency for libparmetis.so
- removed patch
mshr-swig-prefix.patch (fixed upstream)
2015-09-25 - kkhere.geo@gmail.com
- update to version 1.6.0 [2015-07-28]
- Upgrade to CGAL 4.6
- Add more demos
- Faster and more memory efficient implementation of csg operations
with -DENABLE_EXPERIMENTAL=True
- Bugfixes and cleanups
2015-09-25 - kkhere.geo@gmail.com
- as dolfin requires openmpi, require it here too
removed mshr-dont-require-mpi.patch
2015-02-09 - dmitry_r@opensuse.org
- Use %cmake macros
- Fix swig prefix for openSUSE Factory
* mshr-swig-prefix.patch
- Use make -j1 to avoid high memory consumption
2015-02-06 - kkhere.geo@gmail.com
- initial package for mshr

See Also

Package Description
mshr-openmpi-2016.2.0-1.10.i586.rpm mshr build with openmpi support
mshr-openmpi-2016.2.0-1.10.x86_64.rpm mshr build with openmpi support
mshr-openmpi-devel-2016.2.0-1.10.i586.rpm Development and header files for mshr
mshr-openmpi-devel-2016.2.0-1.10.x86_64.rpm Development and header files for mshr
mumps-4.9.2-8.1.i586.rpm A MUltifrontal Massively Parallel Sparse direct Solver
mumps-4.9.2-8.1.x86_64.rpm A MUltifrontal Massively Parallel Sparse direct Solver
mumps-devel-4.9.2-8.1.i586.rpm Files needed for developing mumps based applications
mumps-devel-4.9.2-8.1.x86_64.rpm Files needed for developing mumps based applications
mumps-mvapich2-4.9.2-8.1.i586.rpm A MUltifrontal Massively Parallel Sparse direct Solver
mumps-mvapich2-4.9.2-8.1.x86_64.rpm A MUltifrontal Massively Parallel Sparse direct Solver
mumps-mvapich2-devel-4.9.2-8.1.i586.rpm Files needed for developing mumps based applications
mumps-mvapich2-devel-4.9.2-8.1.x86_64.rpm Files needed for developing mumps based applications
mumps-openmpi-4.9.2-8.1.i586.rpm A MUltifrontal Massively Parallel Sparse direct Solver
mumps-openmpi-4.9.2-8.1.x86_64.rpm A MUltifrontal Massively Parallel Sparse direct Solver
mumps-openmpi-devel-4.9.2-8.1.i586.rpm Files needed for developing mumps based applications
Advertisement
Advertisement